      program spacetrip1 ! BB Sep 5 2013.
      parameter(iuo=6,c=3.0E08,g=9.81) ! c in m/s, g in m/s^2.
c 1. Spacetrip problem: Elapsed time on earth.
      write(iuo,'(/," Quarter Trip:",/)') 
      year=365.0*24.0*3600.0
      tau=1.0*year
      t=(c/g)*sinh(g*tau/c)
      write(iuo,'(" Time in seconds:    ",4x,g14.5)') t
      t=t/year
      write(iuo,'(" Time in years:      ",4x,f8.3)') t
      t=4*t
      write(iuo,'(/," Entire trip [years]:",f12.3,/)') t
      x=2*(c/g)*(cosh(g*tau/c)-1.0)
      write(iuo,'(" Max distance in seconds:",g14.5)') x
      xx=c*x
      write(iuo,'(" in meters:              ",g14.5)') xx
      x=x/year
      write(iuo,'(" in light years:       ",f10.3,/)') x
c
c 3. Spacetrip problem: End of spacetrip.
      v=0.66d00*c
      v=c
      fleft=exp(-g*4*tau/v)
      write(iuo,'(" Fraction of mass left:",g14.3,/)') fleft
      stop
      end
